×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    May 2009
    Posts
    2

    Eclipse + S60 SDK 5th v1.0 + J2ME eclipse plugin: Emulator problem

    Hello.

    (Sorry for my english)
    I'm a newbie in java and S60 development and I spent 4 hours trying to make SDK work and it doesn't.
    I'm desappointed (If Nokia wants new developers, they must simply the tools installation... and help the newbies on this forum :-) ).

    I installed S60 SDK 5th v1.0.
    I installed Eclipse (unzip and copy to C:\eclipse).
    I installed Eclipse ME (in Eclipse, Help/Software Update/Available software/Add site).
    I installed Java Developer Library 3.2 Eclipse plugin (J2ME) (copy .jar in eclipse/plugins directory).
    I created a projet (File / New / Other / J2ME / J2ME Midlet).
    I added all .jar from S60 SDK 5th v1.0 (jsrxxx midpxxx wmaxxxx eswt iapinfo) to Referenced Libraries (right button on project name / Build path / Configure Build path / Librairies / Add external JAR).
    I configured Debugger (right button on .java application / Debug As / Debug configurations / Wireless toolkit emulator / name of .java application / Emulation / Specific Device / Group: S60 5th Edition v1.0 / Device: S60 Device).
    I tested S60 Emulator (Start / Programs / S60 Developer Tools / Emulator) and it works.
    When I run the application (F11 on .java), a window "SDK progress" opens. "Load user preferences", "Parse command", "Create jad file", "Resolve application name" work but I have an error "Zip exception" when "Create jar file".

    The first time I used F11, the emulator launched (without the launch of the .jar) but, now, the emulator doesn't launch.

    Config: Vista.

    Any idea to launch the emulator ?

    Thanks.

    Fabrice ARES

  2. #2
    Registered User
    Join Date
    May 2009
    Posts
    2

    Re: Eclipse + S60 SDK 5th v1.0 + J2ME eclipse plugin: Emulator problem

    I convert the project to Midlet Suite (right button / J2ME / Convert...).
    The .jar is OK and the emulator is launched but I have an error Swi:Task failed 30472 on the emulator.
    Any idea ?
    Thanks.

  3. #3
    Registered User
    Join Date
    Feb 2009
    Posts
    15

    Re: Eclipse + S60 SDK 5th v1.0 + J2ME eclipse plugin: Emulator problem

    Hi,

    I ran into a 'similar' problem. I had an "EclipseME" plug-in project and along the way I replaced it with its successor "Mobile Tools for Java". The only problem I was having was that when I wanted to debug the application on a real device all I got was a "Symbian error -10500".

    I made a new MTJ project and copied all the (re)source files to it and what do you know... no more -10500 error... strange thing! Dunno if it will help you though...

    Kind regards,

    Jeroen.

Similar Threads

  1. Build on S60 3rd MR SDK - run on S60 5th emulator
    By alav in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2012-06-18, 10:23
  2. Carbide.j + Eclipse 3.2RC2 = cannot run Nokia SDK Plugin
    By grasp in forum Mobile Java Tools & SDKs
    Replies: 6
    Last Post: 2006-12-22, 00:25
  3. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43
  4. Series 60Series 60 MIDP Concept SDK Beta 0.2 Linux bug?
    By kauppi in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2003-04-07, 09:05
  5. Replies: 1
    Last Post: 2002-10-06, 09:14

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×